# gdcm::JPEG8Codec Class Reference

Class to do JPEG 8bits (lossy & lossless). More...

`#include <gdcmJPEG8Codec.h>`

Inheritance diagram for gdcm::JPEG8Codec:
[legend]
Collaboration diagram for gdcm::JPEG8Codec:
[legend]

List of all members.

## Public Member Functions
| JPEG8Codec ()
| ~JPEG8Codec ()
bool | Decode (std::istream &is, std::ostream &os)
bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts)
bool | InternalCode (const char *input, unsigned long len, std::ostream &os)

## Detailed Description

Class to do JPEG 8bits (lossy & lossless).

Note:
  internal class

## Constructor & Destructor Documentation

gdcm::JPEG8Codec::JPEG8Codec | ( |  | ) |

gdcm::JPEG8Codec::~JPEG8Codec | ( |  | ) |

## Member Function Documentation

bool gdcm::JPEG8Codec::Decode | ( | std::istream & | is,
|  | std::ostream & | os |
| ) |  |  | `[virtual]`

Reimplemented from gdcm::JPEGCodec.

bool gdcm::JPEG8Codec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts |
| ) |  |  | `[virtual]`

Reimplemented from gdcm::JPEGCodec.

bool gdcm::JPEG8Codec::InternalCode | ( | const char * | input,
|  | unsigned long | len,
|  | std::ostream & | os |
| ) |  |  | `[virtual]`

Reimplemented from gdcm::Coder.

The documentation for this class was generated from the following file:

- gdcmJPEG8Codec.h